#include <QGuiApplication>
#include <QQmlEngine>
#include <QQmlContext>
#include <QQmlComponent>

// networking
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QUrl>
#include <QUrlQuery>

// json parsing
#include <QJsonValue>
#include <QJsonDocument>
#include <QJsonObject>
#include <QVariantMap>
#include <QJsonArray>

// console output
#include <QDebug>
// #include <iostream>
#include "../model/Sport.h"
#include "../model/FilterModel.h"

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    QQmlEngine engine;
    QQmlContext *objectContext = new QQmlContext(engine.rootContext());

    SportModel model;
    model.request("ARC");
    FilterModel filter;
    filter.setSourceModel(&model);
    objectContext->setContextProperty("sports", &model);
    objectContext->setContextProperty("filter", &filter);

    QQmlComponent component(&engine, "qrc:/qt/qml/itat/res/gui/application.qml");
    QObject *object = component.create(objectContext);

    return app.exec();
}
